%%%---------------------------------------
%%% module      : data_limit_goal
%%% description : 限时目标配置
%%%
%%%---------------------------------------
-module(data_limit_goal).
-compile(export_all).
-include("limit_goal.hrl").



get_limit_goal_main(1) ->
    #limit_goal_main{goal_id = 1,model_name = "冰雪女王",model_id = 203017,jump_cfg = [440,1002],skill_id = 16000230,skill_desc = "对目标区域4个玩家（8个怪物）造成545%的伤害，提升自身PVE伤害20%，持续3秒",precondition = [],activate = [{god,1002}],countdown = 216000};

get_limit_goal_main(2) ->
    #limit_goal_main{goal_id = 2,model_name = "霜之哀伤",model_id = 203017,jump_cfg = [440,11030002],skill_id = 30000002,skill_desc = "攻击时有10%的概率提升自身减伤10%，持续5s",precondition = [1],activate = [{god_pyx,11030002}],countdown = 345600};

get_limit_goal_main(_Goalid) ->
    [].

get_all_goal_ids() ->
    [1,2].

get_limit_goal_task(1,1) ->
    #limit_goal_task{goal_id = 1,task_id = 1,task_desc = "魂珠副本通关第3层",finish_condition = [{dungeon_level,20,3}],reward = [{0,11010004,1}],click_jump = [610,5]};

get_limit_goal_task(1,2) ->
    #limit_goal_task{goal_id = 1,task_id = 2,task_desc = "累计进入经验副本2次",finish_condition = [{dungeon_times,4,2}],reward = [{0,11010004,1}],click_jump = [610,31]};

get_limit_goal_task(1,3) ->
    #limit_goal_task{goal_id = 1,task_id = 3,task_desc = "完成1转",finish_condition = [{turn,1}],reward = [{0,11010004,1}],click_jump = [2,1]};

get_limit_goal_task(1,4) ->
    #limit_goal_task{goal_id = 1,task_id = 4,task_desc = "获得150级以上首领遗迹BOSS的归属4次",finish_condition = [{local_boss,5,150,4}],reward = [{0,11010004,1}],click_jump = [460,1]};

get_limit_goal_task(1,5) ->
    #limit_goal_task{goal_id = 1,task_id = 5,task_desc = "累计登陆2天",finish_condition = [{login_days,2}],reward = [{0,11010004,1}],click_jump = [417,1]};

get_limit_goal_task(1,6) ->
    #limit_goal_task{goal_id = 1,task_id = 6,task_desc = "降神-光辉神培养到达5阶",finish_condition = [{god_upgrade,1001,5}],reward = [{0,11010004,1}],click_jump = [440,1]};

get_limit_goal_task(1,7) ->
    #limit_goal_task{goal_id = 1,task_id = 7,task_desc = "坐骑升星到达2阶",finish_condition = [{mount_upgrade,2}],reward = [{0,11010004,1}],click_jump = [160,1]};

get_limit_goal_task(1,8) ->
    #limit_goal_task{goal_id = 1,task_id = 8,task_desc = "宝具等级到达8级",finish_condition = [{talisman_lv, 8}],reward = [{0,11010004,1}],click_jump = [168,1]};

get_limit_goal_task(2,1) ->
    #limit_goal_task{goal_id = 2,task_id = 1,task_desc = "累计进入经验副本8次",finish_condition = [{dungeon_times,4,8}],reward = [{0,11030004,1}],click_jump = [610,31]};

get_limit_goal_task(2,2) ->
    #limit_goal_task{goal_id = 2,task_id = 2,task_desc = "完成2转",finish_condition = [{turn,2}],reward = [{0,11030004,1}],click_jump = [2,1]};

get_limit_goal_task(2,3) ->
    #limit_goal_task{goal_id = 2,task_id = 3,task_desc = "获得250级以上首领遗迹BOSS的归属6次",finish_condition = [{local_boss,5,250,6}],reward = [{0,11030004,1}],click_jump = [460,1]};

get_limit_goal_task(2,4) ->
    #limit_goal_task{goal_id = 2,task_id = 4,task_desc = "魂珠副本通关第24层",finish_condition = [{dungeon_level,20,24}],reward = [{0,11030004,1}],click_jump = [610,5]};

get_limit_goal_task(2,5) ->
    #limit_goal_task{goal_id = 2,task_id = 5,task_desc = "累计登陆5天",finish_condition = [{login_days,5}],reward = [{0,11030004,1}],click_jump = [417,1]};

get_limit_goal_task(2,6) ->
    #limit_goal_task{goal_id = 2,task_id = 6,task_desc = "降神-冰雪女王培养到达5阶",finish_condition = [{god_upgrade,1002,5}],reward = [{0,11030004,1}],click_jump = [440,1]};

get_limit_goal_task(2,7) ->
    #limit_goal_task{goal_id = 2,task_id = 7,task_desc = "坐骑升星到达3阶",finish_condition = [{mount_upgrade,3}],reward = [{0,11030004,1}],click_jump = [160,1]};

get_limit_goal_task(2,8) ->
    #limit_goal_task{goal_id = 2,task_id = 8,task_desc = "宝具等级到达20级",finish_condition = [{talisman_lv,20}],reward = [{0,11030004,1}],click_jump = [168,1]};

get_limit_goal_task(_Goalid,_Taskid) ->
    [].

get_all_condition() ->
    [{1,1,[{dungeon_level,20,3}]},{1,2,[{dungeon_times,4,2}]},{1,3,[{turn,1}]},{1,4,[{local_boss,5,150,4}]},{1,5,[{login_days,2}]},{1,6,[{god_upgrade,1001,5}]},{1,7,[{mount_upgrade,2}]},{1,8,[{talisman_lv, 8}]},{2,1,[{dungeon_times,4,8}]},{2,2,[{turn,2}]},{2,3,[{local_boss,5,250,6}]},{2,4,[{dungeon_level,20,24}]},{2,5,[{login_days,5}]},{2,6,[{god_upgrade,1002,5}]},{2,7,[{mount_upgrade,3}]},{2,8,[{talisman_lv,20}]}].


get_all_task_ids(1) ->
    [1,2,3,4,5,6,7,8];


get_all_task_ids(2) ->
    [1,2,3,4,5,6,7,8];

get_all_task_ids(_Goalid) ->
    [].

get_limit_goal_soul(1,1) ->
    #limit_goal_soul{goal_id = 1,soul_id = 1,soul_name = "冰雪星魂1",need_finish = 1,attr = [{1,100}]};

get_limit_goal_soul(1,2) ->
    #limit_goal_soul{goal_id = 1,soul_id = 2,soul_name = "冰雪星魂2",need_finish = 2,attr = [{2,2000}]};

get_limit_goal_soul(1,3) ->
    #limit_goal_soul{goal_id = 1,soul_id = 3,soul_name = "冰雪星魂3",need_finish = 3,attr = [{5,40}]};

get_limit_goal_soul(1,4) ->
    #limit_goal_soul{goal_id = 1,soul_id = 4,soul_name = "冰雪星魂4",need_finish = 4,attr = [{6,40}]};

get_limit_goal_soul(1,5) ->
    #limit_goal_soul{goal_id = 1,soul_id = 5,soul_name = "冰雪星魂5",need_finish = 5,attr = [{1,100}]};

get_limit_goal_soul(1,6) ->
    #limit_goal_soul{goal_id = 1,soul_id = 6,soul_name = "冰雪星魂6",need_finish = 6,attr = [{2,2000}]};

get_limit_goal_soul(1,7) ->
    #limit_goal_soul{goal_id = 1,soul_id = 7,soul_name = "冰雪星魂7",need_finish = 7,attr = [{5,40}]};

get_limit_goal_soul(1,8) ->
    #limit_goal_soul{goal_id = 1,soul_id = 8,soul_name = "冰雪星魂8",need_finish = 8,attr = [{6,40}]};

get_limit_goal_soul(2,1) ->
    #limit_goal_soul{goal_id = 2,soul_id = 1,soul_name = "霜之星魂1",need_finish = 1,attr = [{1,250}]};

get_limit_goal_soul(2,2) ->
    #limit_goal_soul{goal_id = 2,soul_id = 2,soul_name = "霜之星魂2",need_finish = 2,attr = [{2,5000}]};

get_limit_goal_soul(2,3) ->
    #limit_goal_soul{goal_id = 2,soul_id = 3,soul_name = "霜之星魂3",need_finish = 3,attr = [{5,100}]};

get_limit_goal_soul(2,4) ->
    #limit_goal_soul{goal_id = 2,soul_id = 4,soul_name = "霜之星魂4",need_finish = 4,attr = [{6,100}]};

get_limit_goal_soul(2,5) ->
    #limit_goal_soul{goal_id = 2,soul_id = 5,soul_name = "霜之星魂5",need_finish = 5,attr = [{1,250}]};

get_limit_goal_soul(2,6) ->
    #limit_goal_soul{goal_id = 2,soul_id = 6,soul_name = "霜之星魂6",need_finish = 6,attr = [{2,5000}]};

get_limit_goal_soul(2,7) ->
    #limit_goal_soul{goal_id = 2,soul_id = 7,soul_name = "霜之星魂7",need_finish = 7,attr = [{5,100}]};

get_limit_goal_soul(2,8) ->
    #limit_goal_soul{goal_id = 2,soul_id = 8,soul_name = "霜之星魂8",need_finish = 8,attr = [{6,100}]};

get_limit_goal_soul(_Goalid,_Soulid) ->
    [].


get_all_goal_soul_id(1) ->
    [1,2,3,4,5,6,7,8];


get_all_goal_soul_id(2) ->
    [1,2,3,4,5,6,7,8];

get_all_goal_soul_id(_Goalid) ->
    [].

